Subject: Re: [bug#42477] [PATCH] gnu: newsboat: Update to 2.20.1.

From: Efraim Flashner <[email-masked]>
Date: Thu, 23 Jul 2020 14:59:25 +0300

On Thu, Jul 23, 2020 at 01:49:59PM +0200, Jakub Kądziołka wrote:
> On Wed, Jul 22, 2020 at 09:09:16PM +0300, Efraim Flashner wrote:
> > * gnu/packages/syndication.scm (newsboat): Update to 2.20.1.
> > [source]: Add snippet to loosen version requirement on crate dependency.
> > [build-system]: Switch to cargo-build-system.
> > [native-inputs]: Remove asciidoc, add openssl, asciidoctor.
> > [arguments]: Add gnu-build-system module. Add vendor-dir, cargo-inputs,
> > cargo-development-inputs fields. Don't delete 'configure phase. Add
> > custom 'dont-vendor-self-phase. Replace 'build, 'check, 'install phases
> > with gnu counterparts.
> > (newsboat-2.13): New variable.
> 
> Efraim,
> 
> I can't help but wonder - what's the motivation here for keeping the
> older version around? I think a comment above the definition would be
> nice.

The older one is the last version that builds without rust. I can add a
comment about why it's still there.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted